nxt.addons

## Class QuotaBundler

- java.lang.Object
- - nxt.addons.QuotaBundler

- All Implemented Interfaces:
    Bundler.Filter

      public class QuotaBundler
      extends java.lang.Object
      implements Bundler.Filter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuotaBundler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` For UI to work, the bundler description must also be added to transaction.json with key bundler_filter_help_*lowercase name*
    `java.lang.String` | `getName()`
    `java.lang.String` | `getParameter()`
    `boolean` | `ok(Bundler bundler, ChildTransaction childTransaction)`
    `void` | `setParameter(java.lang.String parameter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuotaBundler

          public QuotaBundler()

  - ### Method Detail

    - #### ok

          public boolean ok(Bundler bundler,
                            ChildTransaction childTransaction)

      Specified by:
        `ok` in interface `Bundler.Filter`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `Bundler.Filter`

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from interface: `Bundler.Filter`
      For UI to work, the bundler description must also be added to transaction.json with key bundler_filter_help_*lowercase name*
      Specified by:
        `getDescription` in interface `Bundler.Filter`
      Returns:
        The bundler description.

    - #### getParameter

          public java.lang.String getParameter()

      Specified by:
        `getParameter` in interface `Bundler.Filter`

    - #### setParameter

          public void setParameter(java.lang.String parameter)

      Specified by:
        `setParameter` in interface `Bundler.Filter`